Skip to content

BatchJobsService⁠

Operations⁠

listBatchJobs⁠

POST

Lists all available batch jobs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalStatus message of the batch job.
POST/nexum/{sym}/persistent/batchjobs/listBatchJobs
POST /nexum/627/persistent/batchjobs/listBatchJobs HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "thiswillwerkOP00!"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

executeBatchJob⁠

POST

Executes a batch job.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AsyncbooleanoptionalWhether to run the batch job asynchronously.
JobNamestringrequiredName of the batch job to execute.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalStatus message of the batch job.
TokenIdstringoptionalToken ID of the batch job.
POST/nexum/{sym}/persistent/batchjobs/executeBatchJob
POST /nexum/627/persistent/batchjobs/executeBatchJob HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "thiswillwerkOP00!"
    }
  },
  "Async": true,
  "JobName": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getBatchJobStatus⁠

POST

Retrieves the status of a batch job.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TokenIdstringrequiredToken ID of the batch job.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalStatus message of the batch job.
TokenIdobjectoptionalToken ID of the batch job.
POST/nexum/{sym}/persistent/batchjobs/getBatchJobStatus
POST /nexum/627/persistent/batchjobs/getBatchJobStatus HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "thiswillwerkOP00!"
    }
  },
  "TokenId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}